import { FlowOptions, UseVueFlow } from '../types'
export declare class Storage {
  currentId: number
  flows: Map<string, UseVueFlow>
  static instance: Storage
  static getInstance(): Storage
  set(id: string, flow: UseVueFlow): void
  get(id: string): UseVueFlow | undefined
  remove(id: string): void
  create(id: string, preloadedState?: Partial<FlowOptions>): UseVueFlow
  getId(): string
}
declare const _default: (options?: Partial<import('../types').FlowProps> | undefined) => UseVueFlow
export default _default
